Support for .Net Core 3.1+

A forum dedicated to WPF version of LightningChart Ultimate.

Moderator: Arction_LasseP

aargomez
Posts: 1
Joined: Fri May 07, 2021 8:33 pm

Support for .Net Core 3.1+

Post by aargomez » Fri May 07, 2021 8:39 pm

I looked at the NuGet package available and it only contains DLLs that target .Net Framework 4. I was wondering if you have a download that supports .Net Core 3.1 or above (.Net 5).

If you do not, is it on your roadmap to support this? My business currently uses v9. I've been tasked with evaluating our third party libraries for migration from the legacy .Net Framework to .Net 5+.

ArctionKestutis
Posts: 411
Joined: Mon Mar 14, 2016 9:22 am

Re: Support for .Net Core 3.1+

Post by ArctionKestutis » Mon May 10, 2021 2:29 pm

LightningChart® .NET is compatible with .NET Core 3 and with .NET 5.0. That is, you could build application which targets Core 3.1 or .NET 5.0 framework.
However, note that LightningChart® .NET also requires DirectX support, which is irreplaceable.